Adobe Reader 7.0

系统字体配置、中文显示和输入法问题
回复
头像
ssjjxx000
帖子: 201
注册时间: 2006-01-09 9:41
来自: 湖南邵东
送出感谢: 0
接收感谢: 0
联系:

Adobe Reader 7.0

#1

帖子 ssjjxx000 » 2006-10-26 13:52

注意:如果SCIM正在运行,Adobe Reader 7.0将不能运行。(如果我们装了中文,SCIM就会运行。)要绕过此问题,做如下操作:

sudo gedit /usr/bin/acroread(或者sudo vim /usr/bin/acroread)

把如下部分

#!/bin/sh
#


改变成:

#!/bin/sh
#
GTK_IM_MODULE=xim

保存文件。
现在acroread就可以工作了。

注:这个问题困扰了我好几天,终于在google了好多天后,找到了解决方法。
现在把原文翻译过来,供大家共享!

原文如下:
Note: Adobe Reader 7.0 will not run if SCIM is running. You are running SCIM if you have installed another language to Ubuntu via System -> Administration -> Language Support. To circumvent, do the following

gksudo gedit /usr/bin/acroread

Change:

#!/bin/sh
#


to:

#!/bin/sh
#
GTK_IM_MODULE=xim

Save the file. Now Adobe Reader 7.0 should work.
头像
goldfox_79
帖子: 1937
注册时间: 2005-10-16 8:26
来自: 地球
送出感谢: 0
接收感谢: 1 次
联系:

#2

帖子 goldfox_79 » 2006-10-26 14:56

用fcitx吧,伟大的scim总是出这样那样的小毛病
shiu
帖子: 5
注册时间: 2005-06-16 23:39
送出感谢: 0
接收感谢: 0

#3

帖子 shiu » 2006-10-27 10:44

安装scim-bridge ,就可以了
akey307
帖子: 36
注册时间: 2006-02-01 21:40
送出感谢: 0
接收感谢: 0

#4

帖子 akey307 » 2006-10-29 10:57

楼主说的我的机器上还是不行阿 , acrobat还是不能运行
akey307
帖子: 36
注册时间: 2006-02-01 21:40
送出感谢: 0
接收感谢: 0

#5

帖子 akey307 » 2006-10-29 11:01

应该填加

export GTK_IM_MODULE=xim
头像
glade
帖子: 1383
注册时间: 2005-10-21 16:57
送出感谢: 0
接收感谢: 0

#6

帖子 glade » 2006-10-29 14:31

看看wiki上面的新手指南吧,装一个scim-bridge
要是每个冲突的软件都要这么修改那不累死人
头像
ssjjxx000
帖子: 201
注册时间: 2006-01-09 9:41
来自: 湖南邵东
送出感谢: 0
接收感谢: 0
联系:

acroread

#7

帖子 ssjjxx000 » 2006-11-07 6:36

安装AdobeReader及其Firefox插件

*

请参阅 [Ubuntu简介]
*

请参阅 [添加其他软件库]

sudo apt-get install acroread
sudo apt-get install mozilla-acroread
sudo apt-get install acroread-plugins
回复

回到 “字体美化和中文支持”